QGIS Application - Bug report #2158
OSM plugin: Python error on moving line
2009-11-28 05:15 AM - Donkagen?2 -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 12218
Description

While trying to move a line feature, a Python error always occurs:

Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\osm\\map_tools\OsmMoveMT.py", line 485, in canvasReleaseEvent
self.+finishFeatureMoving(deltaX,deltaY)
File "C:/0SGeo4W/apps/qgis-dev/./python/plugins\\osm\\map_tools\OsmMoveMT.py", line 730, in +finishFeatureMoving
affected=self.dbm.moveLine(self.movFeat,deltaX,deltaY,self.snapFeat,self.snapFeatType,self.snapVertexIx)
File "c:/programme/osgeo4w/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 1401, in moveLine
File "c:/programme/osgeo4w/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 1802, in changePointStatus
File "c:/programme/osgeo4w/apps/qgis-dev/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit
[[OperationalError]]: SQL logic error or missing database

The OSM data was in a different directory than the project. Moving the OSM files to the project directory stopped the error occuring.

The line move however never occurs.

History

#1 - 2010-09-19 07:02 AM - Paolo Cavallini

Can anyone confirm this?

#2 - 2011-03-03 02:28 PM - Volker Fréhlich

Maybe related to #1944, also see my comment.

#3 - 2011-03-04 07:42 AM - Donkagen2 -
Just tried it again with 1.6.0 (and trunk) and it generated this Python error with version 0.5 of the [[OpenStreetMap]] plugin.
An error has occured while executing Python code:
Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\map_tools\\OsmMoveMT.py", line 485, in canvasReleaseEvent

self.+finishFeatureMoving(deltaX,deltaY)
File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\map_tools\\OsmMoveMT.py", line 730, in +finishFeatureMoving

2024-04-28 1/3




affected=self.dbm.moveLine(self.movFeat,deltaX,deltaY,self.snapFeat,self.snapFeatType,self.snapVertexIx)

File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 1401, in moveLine
self.changePointStatus(nodeld,"N","U")

File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 1802, in changePointStatus
self.commit()

File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit
self.getConnection().commit()

[[OperationalError]]: SQL logic error or missing database

Python version:
2.5.2 (commit:c5cd2930 (SVN r253):60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:
1.6.0-Copiapo Copiapo, exported

Python path: ['C:/OSGeo4W/apps/qgis/./python’, 'C:/Documents and Settings/Andrew/.qgis/python’, 'C:/Documents and
Settings/Andrew/.qgis/python/plugins’, 'C:/OSGeo4W/apps/qgis/./python/plugins’, 'C:\\OSGeo4W\\bin\\\\python25.zip',
'C:\\WOSGeodW\\\\apps\\\Python25\\\DLLs', 'C:\WOSGeo4W\\\apps\\\\Python25\\\lib', 'C:\\W\OSGeodW\\\\apps\\\\Python25\\\\lib\\\plat-win',
'C\\WOSGeodW\\\apps\\\\Python25\\Wib\Wib-tk', 'C\WOSGeo4W\\apps\\\qgis\\\bin', 'C:\\OSGeod4W\\\apps\\\Python25',
'C:\WOSGeo4W\\apps\\\\Python25\\\lib\\\\site-packages', 'C:\WOSGeo4W\\\\apps\\\\Python25\\\\lib\\\site-packages\\\\win32',
'C:\WOSGeo4W\\apps\\\\Python25\\\lib\\\\site-packages\\\win32\\\lib', 'C:\WOSGeo4W\\\apps\\\\Python25\\\lib\\\site-packages\\\\Pythonwin',
'C:\\WOSGeodW\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode', 'C:\\\Documents and
Settings\\\Andrew\\\\.qgis\\\\python\\\\plugins\\\ziplayers\\\\logic', 'C:\\\Documents and Settings\\\Andrew\\\\.qgis\\\\python\\\plugins\\\\ziplayers\\\gui',
'C:\\WOSGeodW\\\apps\\\qggis\\\python\\W\plugins\\fTools\\\\tools', 'F:/GIS Data/Wiltshire Council/Dauntsey', 'C:\\\Documents and
Settings\\\Andrew\\\\.qgis\\\\python\\\\plugins\\ziplayers\\\\logic', 'C:\\\Documents and Settings\\\Andrew\\\\.qgis\\\\python\\\plugins\\\\ziplayers\\\gui',
'C:\\\Documents and Settings\\\Andrew\\\\.qgis\\\\python\\\plugins\\\f Tools\\\\tools', 'C:\\\Documents and
Settings\\WAndrew\\\\.qgis\\\\python\\\\plugins\\\imgshowhide\\\logic', 'C:\\\\Documents and
Settings\\\Andrew\\\\.qgis\\\\python\\\\plugins\\\imgshowhide\\\gui', 'C:\\\Documents and
Settings\\\Andrew\\\\.qgis\\\\python\\\\plugins\\\\openlayersov\\\logic', 'C:\\\Documents and
Settings\\\Andrew\\\\.qgis\\\\python\\\\plugins\\\\openlayersov\\\\gui']

| was unable to move the line.

When trying to insert a point there was a similar error generated

Traceback (most recent call last):
File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\map_tools\\OsmCreatePointMT.py", line 216, in canvasReleaseEvent
(node,affected)=self.dbm.createPoint(newPoint,self.snapFeat,self.snapFeatType)
File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 454, in createPoint
self.commit()
File "C:/OSGeo4W/apps/qgis/./python/plugins\\osm\\OsmDatabaseManager.py", line 2503, in commit
self.getConnection().commit()
[[OperationalError]]: SQL logic error or missing database

#4 - 2011-12-16 01:58 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini
- Affected QGIS version set to master
- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0
#6 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-03-12 04:28 PM - Martin Dobias
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed

The new OpenStreetMap support coming in 2.0 does not allow editing and uploading of OSM data. The current plugin with editing support has been
removed.
